Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.executor.impl.jpa
Class JPAExecutorStoreService

    java.lang.Object
      org.jbpm.executor.impl.jpa.JPAExecutorStoreService

All Implemented Interfaces:
  org.kie.internal.executor.api.ExecutorStoreService

    public class JPAExecutorStoreService

extends Object
implements org.kie.internal.executor.api.ExecutorStoreService

IMPORTANT: please keep all classes from package org.jbpm.shared.services.impl as FQCN inside method body to avoid exception logged by CDI when used with in memory mode

Constructor Summary
`JPAExecutorStoreService(boolean active)`

Method Summary
`Runnable` | `buildExecutorRunnable()`
`org.kie.internal.executor.api.ErrorInfo` | `findError(Long id)`
`org.kie.internal.executor.api.RequestInfo` | `findRequest(Long id)`
`void` | `persistError(org.kie.internal.executor.api.ErrorInfo error)`
`void` | `persistRequest(org.kie.internal.executor.api.RequestInfo request)`
`org.kie.internal.executor.api.ErrorInfo` | `removeError(Long errorId)`
`org.kie.internal.executor.api.RequestInfo` | `removeRequest(Long requestId)`
`void` | `setCommandService(org.drools.core.command.CommandService commandService)`
`void` | `setEmf(javax.persistence.EntityManagerFactory emf)`
`void` | `updateError(org.kie.internal.executor.api.ErrorInfo error)`
`void` | `updateRequest(org.kie.internal.executor.api.RequestInfo request)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JPAExecutorStoreService

    public JPAExecutorStoreService(boolean active)

Method Detail

### setCommandService

    public void setCommandService(org.drools.core.command.CommandService commandService)

### setEmf

    public void setEmf(javax.persistence.EntityManagerFactory emf)

### persistRequest

    public void persistRequest(org.kie.internal.executor.api.RequestInfo request)

  Specified by:
    `persistRequest` in interface `org.kie.internal.executor.api.ExecutorStoreService`

### updateRequest

    public void updateRequest(org.kie.internal.executor.api.RequestInfo request)

  Specified by:
    `updateRequest` in interface `org.kie.internal.executor.api.ExecutorStoreService`

### removeRequest

    public org.kie.internal.executor.api.RequestInfo removeRequest(Long requestId)

  Specified by:
    `removeRequest` in interface `org.kie.internal.executor.api.ExecutorStoreService`

### findRequest

    public org.kie.internal.executor.api.RequestInfo findRequest(Long id)

  Specified by:
    `findRequest` in interface `org.kie.internal.executor.api.ExecutorStoreService`

### persistError

    public void persistError(org.kie.internal.executor.api.ErrorInfo error)

  Specified by:
    `persistError` in interface `org.kie.internal.executor.api.ExecutorStoreService`

### updateError

    public void updateError(org.kie.internal.executor.api.ErrorInfo error)

  Specified by:
    `updateError` in interface `org.kie.internal.executor.api.ExecutorStoreService`

### removeError

    public org.kie.internal.executor.api.ErrorInfo removeError(Long errorId)

  Specified by:
    `removeError` in interface `org.kie.internal.executor.api.ExecutorStoreService`

### findError

    public org.kie.internal.executor.api.ErrorInfo findError(Long id)

  Specified by:
    `findError` in interface `org.kie.internal.executor.api.ExecutorStoreService`

### buildExecutorRunnable

    public Runnable buildExecutorRunnable()

  Specified by:
    `buildExecutorRunnable` in interface `org.kie.internal.executor.api.ExecutorStoreService`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2015 JBoss by Red Hat. All Rights Reserved.